Subject: Re: Re: [3gv6] about Prefix delegation in 3GPP EPC networks

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 1 Apr 2010 08:49:09 -0700 (PDT)

----- Original Message ----
> From: "[email-masked]" <[email-masked]>
> To: Behcet Sarikaya <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>; IPv6 Operations <[email-masked]>
> Sent: Thu, April 1, 2010 10:45:03 AM
> Subject: Re: Re: [3gv6] about Prefix delegation in 3GPP EPC networks
> 
> Hi Behcet,

I attended the discussion in v6ops. There were lots of 
> questions about your contribution. 

Isn't that good? 

> The figures in your document even are not 
> 3GPP architecture. 

You are right. As I mentioned at the end I need to make a few corrections and issue a revised draft. I am working on it and it will be out soon.

> Which solution do you think is simpler? and Why? I don't 
> think UE is difficult to carry a requested prefix length. 

I thought about this a little more. If such a thing is possible, I can make use of it in my draft. In fact knowing the exact length needed by UE will help the requesting router. Otherwise RR has to make a decision about the length which may not be good. 
I can easily include this in my revised draft, no problem.

The main point here is the requesting router should be located at the AR (P-GW) not at the UE. 

If this is accepted I think that 
draft-sarikaya-v6ops-prefix-delegation
provides a good solution for 3GPP. 

What do you think?

Regards,

Behcet